Subject: bug#45072: 28.0.50; Emacs switches other buffer back uncontrollably, if other window's buffer is changed by user during minibuffer editing

From: Juri Linkov <[email-masked]>
Date: Tue, 08 Dec 2020 21:15:06 +0200

>> The defaults are definitely fine, IMO.  But if you want very much to
>> have an opt-in behavior to disable restoring of the window
>> configuration of the frame, I won't object to such an option.
>
> Patch attached, just in case.  99% untested.

Thanks, sometime ago I asked how this would be possible to do,
and now I'm testing your patch (it missed trailing spaces on diff
context lines, but still applies without problems).

It seems to be really useful this option needs to keep only windows
implicitly created by the user, but remove windows created
automatically by mibibuffer-related commands such as the buffer
*Completions*.